package com.brilliance.isc.common.trndia.registermodule.impl;

import com.brilliance.isc.common.trndia.registermodule.IDiaryRegisterModule;
import com.brilliance.isc.common.trndia.vo.TrndiaVo;
import com.brilliance.isc.common.vo.SimpleModuleVo;
import com.brilliance.isc.vo.domlc.BddBizInfoVo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

@Component("bdd.diaryRegisterModule")
public class BddDiaryRegisterModule implements IDiaryRegisterModule {

    private static Logger log = LoggerFactory.getLogger(BddDiaryRegisterModule.class);

    @Override
    public void registerModule(TrndiaVo trndiaVo) {
        log.debug("BDD业务品种需要注册DID业务模型");
        BddBizInfoVo bddBizInfoVo = (BddBizInfoVo)trndiaVo.getRec();
        SimpleModuleVo simpleModuleVo = SimpleModuleVo.buildModule(bddBizInfoVo.getPntinr(), bddBizInfoVo.getPnttyp());
        trndiaVo.addRegisterModule(simpleModuleVo);
    }
}
